import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_mercadopago/flutter_mercadopago.dart';

void main() => runApp(new MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => new _MyAppState();
}

class _MyAppState extends State<MyApp> {

  String _platformVersion = 'Unknown';
  FlutterMercadopago mp;

  static const String mpPublicKey = "TEST-c1826083-a656-4126-8b52-746e37a6e6f8";
  static const String mpPreferenceId = "251601260-c06cdffc-4b3a-4496-a182-d561c81380d6";
  // static const String mpPublicKey = "APP_USR-4a4313ac-bede-4a66-b43d-25b9ec036783";

  @override
  void initState() {
    super.initState();
    initPlatformState();
    mp = new FlutterMercadopago(
      publicKey: mpPublicKey,
      preferenceId: mpPreferenceId,
    );
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await FlutterMercadopago.platformVersion;
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      home: new Scaffold(
        appBar: new AppBar(
          title: const Text('Plugin example app'),
        ),
        body: new Center(
          child: new Text('Running on: $_platformVersion\n'),
        ),
        floatingActionButton: FloatingActionButton(
          child: Icon(Icons.add),
          onPressed: () async {
            var result = await mp.startForPayment();
            print("Result: $result");
          },
        ),
      ),
    );
  }
}
